sc::SymmSCMatrix4SCExtrapData(3)

NAME
sc::SymmSCMatrix4SCExtrapData -

SYNOPSIS

Inherits sc::SCExtrapData.

  Public Member Functions
SymmSCMatrix4SCExtrapData (StateIn &)
SymmSCMatrix4SCExtrapData (const RefSymmSCMatrix &, const RefSymmSCMatrix &, const RefSymmSCMatrix &, const RefSymmSCMatrix &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
SCExtrapData * copy ()
Return a copy of this.
void zero ()
Set this to zero.
void accumulate_scaled (double, const Ref< SCExtrapData > &)
The passed SCExtrapData is accumulated into this after applying the scaling factor.

Member Function Documentation

  void sc::SymmSCMatrix4SCExtrapData::accumulate_scaled (double scale, const Ref< SCExtrapData > &) [virtual]

The passed SCExtrapData is accumulated into this after applying the scaling factor.

Implements sc::SCExtrapData.

  SCExtrapData* sc::SymmSCMatrix4SCExtrapData::copy () [virtual]

Return a copy of this.

Implements sc::SCExtrapData.

  void sc::SymmSCMatrix4SCExtrapData::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCExtrapData.

  void sc::SymmSCMatrix4SCExtrapData::zero () [virtual]

Set this to zero.

Implements sc::SCExtrapData.

Author

Generated automatically by Doxygen for MPQC from the source code.